@extends('peek::layouts.app')

@section('submenu')
    @include('peek::logs.partials.submenu')
@endsection

@section('content')
    <div class="pt-12 px-12">
        <pre id="log-file"><code>{!! $logContents !!}</code></pre>
    </div>
@endsection

@push('js')
<script>
    let startBytes = {{ $startBytes }}
    let bytesIncrement = {{ $bytesIncrement }}
    let xhr

    window.onload = () => {
        document.getElementById('content').addEventListener('scroll', event => {
            const target = event.target
            if (xhr && xhr.readyState !== 0 && xhr.readyState !== 4) {
                return
            }

            if ((window.innerHeight + target.scrollTop + 500) >= target.scrollHeight) {
                xhr = new XMLHttpRequest();
                xhr.responseType = 'text'
                xhr.open('GET', window.location.href)
                xhr.setRequestHeader('Range', 'bytes=' + startBytes + '-' + (startBytes + bytesIncrement))
                xhr.setRequestHeader('Content-Type', 'text/plain')
                xhr.send();

                xhr.onload = () => {
                    let responseObj = xhr.response
                    startBytes += bytesIncrement

                    document.getElementById('log-file').innerHTML += responseObj
                }
            }
        })
    }

</script>
@endpush
