<?php

namespace Drp\Peek\Blocks;

class PhpSettings implements Block
{
    /** @var string */
    private $memoryLimit;

    /** @var string */
    private $uploadMaxFileSize;

    /** @var string */
    private $maxFileUploads;

    /** @var string */
    private $maxExecutionTime;

    public function __construct(
        string $memoryLimit,
        string $uploadMaxFileSize,
        string $maxFileUploads,
        string $maxExecutionTime
    ) {
        $this->memoryLimit = $memoryLimit;
        $this->uploadMaxFileSize = $uploadMaxFileSize;
        $this->maxFileUploads = $maxFileUploads;
        $this->maxExecutionTime = $maxExecutionTime;
    }

    public function render(): string
    {
        return view('peek::blocks.php-settings', [
            'maxMemory' => $this->memoryLimit,
            'maxUploadFileSize' => $this->uploadMaxFileSize,
            'maxFileUploads' => $this->maxFileUploads,
            'maxExecutionTime' => $this->maxExecutionTime . ' seconds',
        ]);
    }
}
