<?php

namespace Drp\Peek\Http\Controllers\Commands;

use Drp\Peek\PeekFacade as Peek;
use Illuminate\Contracts\View\View;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Storage;
use SensioLabs\AnsiConverter\AnsiToHtmlConverter;

class Show extends Controller
{
    public function __invoke(string $commandName, ?string $file = null): View
    {
        $convert = new AnsiToHtmlConverter(null, false);

        $logs = Peek::commandLogs($commandName);
        $commands = Peek::commands();
        /** @var \Symfony\Component\Console\Command\Command $currentCommand */
        $currentCommand = $commands->get($commandName);
        $selectedLog = $file ? $logs->get($file) : $logs->first();

        if ($selectedLog !== null) {
            $selectedLog->html = $convert->convert(Storage::disk('peek:commands')->get($selectedLog->fullPath));
        }

        return view('peek::commands.show', [
            'logs' => $logs,
            'commandName' => $commandName,
            'currentCommand' => $currentCommand,
            'commands' => $commands,
            'selectedLog' => $selectedLog,
        ]);
    }
}
