<?php

namespace Drp\Peek\Http\Controllers\Commands;

use Drp\Peek\PeekFacade as Peek;
use Illuminate\Http\RedirectResponse;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class Store extends Controller
{
    public function __invoke(): RedirectResponse
    {
        $commandKey = Str::random();
        $command = request('command');
        $path = Str::slug($command) . '/' . $commandKey . '.txt';
        Storage::disk('peek:commands')->put($path, '');
        $prefix = Storage::disk('peek:commands')->getAdapter()->getPathPrefix();

        $stream = fopen($prefix . $path, 'w+b');
        Peek::writeCommandToStream($command, request('parameters', []), $stream);
        fclose($stream);

        return redirect()->route('peek.commands.show', $command)
            ->with('success', 'Successfully ran ' . $command);
    }
}
